| Box2D 2.3.0 A 2D Physics Engine for Games

Public Member Functions | Public Attributes | List of all members
b2FrictionJointDef Struct Reference

Friction joint definition. More...

`#include <b2FrictionJoint.h>`

Inheritance diagram for b2FrictionJointDef:

## Public Member Functions
void | Initialize (b2Body *bodyA, b2Body *bodyB, const b2Vec2 &anchor)

## Public Attributes
b2Vec2 | localAnchorA
| The local anchor point relative to bodyA's origin.
b2Vec2 | localAnchorB
| The local anchor point relative to bodyB's origin.
float32 | maxForce
| The maximum friction force in N.
float32 | maxTorque
| The maximum friction torque in N-m.
Public Attributes inherited from b2JointDef
b2JointType | type
| The joint type is set automatically for concrete joint types.
void * | userData
| Use this to attach application specific data to your joints.
b2Body * | bodyA
| The first attached body.
b2Body * | bodyB
| The second attached body.
bool | collideConnected
| Set this flag to true if the attached bodies should collide.

## Detailed Description

Friction joint definition.

## Member Function Documentation

## ◆ Initialize()

void b2FrictionJointDef::Initialize | ( | b2Body * | bodyA,
|  | b2Body * | bodyB,
|  | const b2Vec2 & | anchor
| ) |  |

Initialize the bodies, anchors, axis, and reference angle using the world anchor and world axis.

The documentation for this struct was generated from the following files:

- b2FrictionJoint.h
- b2FrictionJoint.cpp